## org.apache.http
Class NoHttpResponseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.http.NoHttpResponseException

All Implemented Interfaces:
  Serializable

    public class NoHttpResponseException

extends IOException

Signals that the target server failed to respond with a valid HTTP response.

Since:
  4.0
See Also:
  Serialized Form

Constructor Summary
`NoHttpResponseException(String message)` Creates a new NoHttpResponseException with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoHttpResponseException

    public NoHttpResponseException(String message)

  Creates a new NoHttpResponseException with the specified detail message.

  Parameters:
    `message` - exception message

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.